## mpich 3.3.2

=== src/mpi/romio/doc/Makefile ===
all:
	latex users-guide.tex
	bibtex users-guide
	latex users-guide.tex
	latex users-guide.tex
	dvipdfm users-guide
	dvips users-guide

clean:
	-rm -f users-guide.toc users-guide.log users-guide.dvi \
	       users-guide.aux users-guide.bbl users-guide.ps \
               users-guide.blg

=== debian/changelog ===
mpich (3.3.2-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:50:37 +0100

mpich (3.3.2-2) unstable; urgency=medium

  * Force gfortran over flang compiler for this release.
  * Ack. bug fixed in experimental release. Closes: #945933

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Dec 2019 09:09:07 +0000

mpich (3.3.2-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete Breaks/Replaces from d/control
  * Standards-Version: 4.4.1.0
  * Fix NO_REAL128 conditional in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Dec 2019 12:04:44 +0000

mpich (3.3.1-2) experimental; urgency=medium

  * Test fix for FTBFS on armel, armhf,
    real128 not supported on these platforms.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Sep 2019 16:40:34 +0100

mpich (3.3.1-1) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * New upstream release
  * Fix Vcs-* URLs.
  * Use debhelper-compat (=12)
  * Update patches; obsolete gcc version patches no longer needed
  * Need to use chrpath on the libs. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Aug 2019 15:58:59 +0100

=== debian/control ===
Source: mpich
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Torquil Macdonald Sørensen <torquil@gmail.com>,
           "Adam C. Powell, IV" <hazelsct@debian.org>,
           Alastair McKinstry <mckinstry@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 12),
               gfortran,
	       dh-fortran-mod (>= 0.12),
	       chrpath,
               hwloc-nox,
               libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libfabric-dev [amd64 i386],
               libxt-dev,
               procps,
               quilt,
               txt2man,
               valgrind [i386 amd64 powerpc armhf],
               x11proto-core-dev
Build-Depends-Indep: texlive-latex-extra,
                     texlive-latex-recommended,
                     doxygen-latex
Standards-Version: 4.4.1.0
Vcs-Browser: https://salsa.debian.org/science-team/mpich
Vcs-Git: https://salsa.debian.org/science-team/mpich.git
Homepage: https://www.mpich.org/

Package: libmpich-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gfortran | fortran-compiler,
         g++,
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
	 mpich (= ${binary:Version})
Description: Development files for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH headers and static libraries, as well
 as the compiler wrappers needed to build MPICH programs.

Package: libmpich12
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Shared libraries for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH shared libraries.

Package: mpich
Architecture: any
Multi-Arch: foreign
Depends: hwloc-nox | hwloc,
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libmpich-dev (= ${binary:Version})
Suggests: mpich-doc (= ${source:Version})
Description: Implementation of the MPI Message Passing Interface standard
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the program binaries necessary to run MPICH programs.

Package: mpich-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Breaks: mpich2-doc
Conflicts: lam-mpidoc,
           lam4-dev,
           mpi-doc,
           openmpi-doc,
           openmpi-mpidoc
Replaces: mpich2-doc
Description: Documentation for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH documentation.

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export MPICHLIB_CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export MPICHLIB_CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS)
export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS) -cpp
export FFLAGS=$(shell dpkg-buildflags --get FFLAGS |  sed -e 's/-g //')
export FC=f95
export F77=f77
export TZ=UTC+0


AUTOGENERATED:= libmpich-dev.prerm libmpich-dev.postinst libmpich-dev.links \
	mpich.preinst libmpich-dev.preinst

# Keep old library naming scheme
export MPILIBNAME=mpich

NO_ROMIO_ARCH:= hurd-i386
NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
FABRIC_ARCH:= amd64 i386 
BUILTIN_ATOMICS_ARCH:= armhf riscv64 hppa
NO_REAL128_ARCH:= armel armhf mipsel hppa m68k sh5


ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
	VERBS := --with-ibverbs
endif
ifneq (,$(findstring $(DEB_HOST_ARCH),$(BUILTIN_ATOMICS_ARCH)))
	DISABLE_BUILTIN_ATOMICS:= --with-atomic-primitives=no
endif
ifneq (,$(findstring $(DEB_HOST_ARCH),$(FABRIC_ARCH)))
	FABRIC := --with-libfabric
endif
ifneq (,$(findstring  $(DEB_HOST_ARCH),$(NO_REAL128_ARCH)))
        MPICHLIB_FCFLAGS:=$(MPICHLIB_FCFLAGS) -DNO_REAL128
endif

extra_flags += \
	$(VERBS) \
	$(FABRIC) \
	$(DISABLE_BUILTIN_ATOMICS) \
	--enable-shared \
	--prefix=/usr \
	--enable-fortran=all \
	--disable-rpath \
	--disable-wrapper-rpath \
	--sysconfdir=/etc/mpich \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--includedir=/usr/include/$(DEB_HOST_MULTIARCH)/mpich \
	--docdir=/usr/share/doc/mpich 


# On sparc and sh4, OPA isn't available, so we need to fallback to
# emulation mode. There's a performance penalty, unfortunately.
ifneq (,$(findstring $(DEB_HOST_GNU_CPU),sparc sh4))
	extra_flags += --with-atomic-primitives=no
endif

%:
	dh $@  --with=fortran_mod

override_dh_autoreconf:
	./autogen.sh
	autoreconf -f -i src/mpl src/openpa src/mpi/romio src/pm/hydra \
		src/mpid/ch4/netmod/ucx/ucx src/mpid/ch4/netmod/ofi/libfabric

override_dh_auto_clean:
	dh_clean
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%TRIPLET%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	dh_auto_configure -- $(extra_flags) CPPFLAGS="" CFLAGS="" CXXFLAGS="" FFLAGS="" FCFLAGS="" BASH_SHELL=/bin/bash

override_dh_auto_build-indep:
	dh_auto_build -i
	# Disable rebuilding pdfs for the moment due to pdflatex problem 
	# cd $(CURDIR)/doc/installguide; rm *.pdf; $(MAKE) install.pdf
	# cd $(CURDIR)/doc/logging; rm *.pdf; $(MAKE) logging.pdf
	#cd $(CURDIR)/doc/smpd; rm *.pdf; $(MAKE) smpd_pmi.pdf
	#cd $(CURDIR)/doc/userguide; rm *.pdf; $(MAKE) user.pdf

override_dh_auto_install-arch:
	dh_auto_install -a
	chrpath -d debian/tmp/usr/lib/*/*.so*

	# Delete objs from examples
	find ./examples -name '*.o' -delete

	# Rename executables (ignore upstream symlinks)
	for i in mpicc mpicxx mpifort; do \
	  (cd debian/tmp/usr/bin/ && mv $$i $$i.mpich); \
	done
    # Rename manpages
	for i in mpicc mpicxx mpiexec mpif77 mpifort; do \
	  (cd debian/tmp/usr/share/man/man1/ && mv $$i.1 $$i.mpich.1);\
	done

	# Fix incorrect paths in /usr/bin/mpi{cc,cxx,fort}.mpich
	for fn in debian/tmp/usr/bin/mpicc.mpich debian/tmp/usr/bin/mpicxx.mpich \
		debian/tmp/usr/bin/mpifort.mpich; do \
		sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
	done
	chrpath -d debian/*/usr/bin/mpivars debian/*/usr/bin/mpichversion


override_dh_installchangelogs:
	dh_installchangelogs README

# Some tests are failing on hurd-i386.
# Disable them, to be investiated later
# disable_test_archs = hurd-i386
disable_test_archs = 
ifneq (,$(filter $(DEB_HOST_ARCH),$(disable_test_archs)))
override_dh_auto_test:

endif

=== debian/tests/control ===
Tests: version
Depends: mpich

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="uversionmangle=s/(\d+)b(\d+)/$1~b$2/" http://www.mpich.org/downloads .*/mpich-(.*)\.tar\.gz

## mpich 3.4~a2+really3.3.2

=== debian/changelog ===
mpich (3.4~a2+really3.3.2-2) unstable; urgency=medium

  * Fix FTBFS with gfortran-10. Closes: #957566

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 Jul 2020 10:02:21 +0100

mpich (3.4~a2+really3.3.2-1) unstable; urgency=medium

  * Upload to remove broken 3.4~a2 pkg. Closes: #954244

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Apr 2020 14:56:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,16 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+GF10_FLAGS:=$(if $(filter $(shell readlink /usr/bin/gfortran), gfortran-10), \
+                 -fallow-invalid-boz -fallow-argument-mismatch, )
+
 export MPICHLIB_CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export MPICHLIB_CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
-export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS)
-export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS) -cpp
-export FFLAGS=$(shell dpkg-buildflags --get FFLAGS |  sed -e 's/-g //')
+export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS) $(GF10_FLAGS)
+export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS) -cpp $(GF10_FLAGS)
+export FFLAGS=$(shell dpkg-buildflags --get FFLAGS |  sed -e 's/-g //') $(GF10_FLAGS)
+export FCFLAGS=$(shell dpkg-buildflags --get FCFLAGS |  sed -e 's/-g //') $(GF10_FLAGS)
 export FC=f95
 export F77=f77
 export TZ=UTC+0
@@ -78,7 +82,7 @@
 	for f in ${AUTOGENERATED} ; do \
                 sed -e 's%TRIPLET%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                 done
-	dh_auto_configure -- $(extra_flags) CPPFLAGS="" CFLAGS="" CXXFLAGS="" FFLAGS="" FCFLAGS="" BASH_SHELL=/bin/bash
+	dh_auto_configure -- $(extra_flags) CPPFLAGS="" CFLAGS="" CXXFLAGS="" FFLAGS="${FFLAGS}" FCFLAGS="${FCFLAGS}" BASH_SHELL=/bin/bash
 
 override_dh_auto_build-indep:
 	dh_auto_build -i

## mpich 3.4.1

=== debian/changelog ===
mpich (3.4.1-5~deb11u1) bullseye; urgency=medium

  * Team upload.
  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Feb 2022 14:19:13 +0100

mpich (3.4.1-5) unstable; urgency=medium

  * Team upload.
  * libmpich12: Add Breaks: libmpich1.0-dev (<< 3) which provided libmpich-dev
    causing the old package using the ancient alternatives scheme to be kept
    installed on some upgrade paths.
  * mpich: Add Breaks+Replaces: libmpich1.0-dev (<< 3) since some files got
    moved around.  (Closes: #992065)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Aug 2021 18:03:27 +0200

mpich (3.4.1-4) unstable; urgency=medium

  * Team upload.
  * libmpich-dev: Fix maintainer script generation to restore missing
    alternatives.  (Closes: #986599)
  * mpich: Do not install symlinks or alternatives to missing manpages or
    pkgconfig files.  (Closes: #985394)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Apr 2021 18:34:55 +0200

mpich (3.4.1-3) unstable; urgency=medium

  * Disable ch4/ ofi. Closes: #982173

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Feb 2021 09:38:00 +0000

mpich (3.4.1-2) unstable; urgency=medium

  * Don't use ch4 on s390x arch. Closes: #981342

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Feb 2021 16:08:32 +0000

mpich (3.4.1-1) unstable; urgency=medium

  * New upstream release
    - json-c files no longer shipped in libmpich-dev
  * Add slurm support

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Jan 2021 08:37:31 +0000

mpich (3.4-5) unstable; urgency=medium

  * Temporarily build without ucx to enable transitions
  * Don't use ch4 on i386, mips64el - doesn't build

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Jan 2021 13:55:51 +0000

mpich (3.4-4) unstable; urgency=medium

  * Inverted conditional : ensure ucx used on 64-bit only

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Jan 2021 07:18:23 +0000

mpich (3.4-3) unstable; urgency=medium

  * Build-depend on lifabric-dev, libnuma-dev where available (linux)
  * Drop pmix2  - crashes with pmix4.0.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jan 2021 12:48:49 +0000

mpich (3.4-2) unstable; urgency=medium

  * Enable hydra2 for mpiexec
  * Add build-dep on python3
  * Undo mpich12->mpich13 naming; upstream didn't change soname
  * Re-install autogenerating pre/post files: dh13 doesn't subst vars there
  * Add some compile/run tests for autopkgtest

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jan 2021 12:30:17 +0000

mpich (3.4-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Jan 2021 07:27:08 +0000

mpich (3.4~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Dec 2020 15:34:31 +0000

mpich (3.4~b1-1) experimental; urgency=medium

  * Enable pmix
  * New upstream release
  * Set VCS-Git to point to debian/latest branch
  * Standards-Version now 4.5.1
  * Document vis.js, vis.min.js licensing. Closes: #973634
  * Update d/copyright . Closes: #956289

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Dec 2020 19:08:17 +0000

mpich (3.4~a3-1) experimental; urgency=medium

  * New upstream release
    - Move to libmpich13 : soname change
  * Patch: add missing-conf.patch - pieces needed for autogen.sh to work
  * Use debhelper 13, move autogenerated files to subst. vars
  * Don't fail on tests in experimental

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Sep 2020 17:21:40 +0100

mpich (3.4~a2-3) experimental; urgency=medium

  * Increment soversion in experimental release
    (Currently not set in upstream alpha releases; this is for
     experimental only, not debian unstable)
  * Don't build ch4 devices (OFI, UCX)  on 32-bit systems
  * Drop flang builds until flang uses llvm-9

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Mar 2020 19:42:50 +0000

mpich (3.4~a2-2) unstable; urgency=medium

  * Ensure binaries are deleted in examples dir

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Mar 2020 12:34:51 +0000

mpich (3.4~a2-1) unstable; urgency=medium

  * New upstream release
  * Use dh-sequence-fortran-mod
  * Standards-Version: 4.5.0
  * Build with gfortran| fortran-compiler, test flang builds
  * Devices: explicitly build for ch3 internal device, ch4:ofi
  * Build-depend on librdmacm-dev
  * Drop preinst files ; contain obsolete fixes to alternatives
  * Drop obsolete patches

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Feb 2020 13:39:35 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,19 @@
            Alastair McKinstry <mckinstry@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               gfortran,
-	       dh-fortran-mod (>= 0.12),
+Build-Depends: debhelper-compat (= 13),
+	       dh-sequence-fortran-mod,
+               gfortran | fortran-compiler,
 	       chrpath,
                hwloc-nox,
+	       librdmacm-dev,
+	       libslurm-dev,
                libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-               libfabric-dev [amd64 i386],
+	       libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libxt-dev,
                procps,
+	       python3,
                quilt,
                txt2man,
                valgrind [i386 amd64 powerpc armhf],
@@ -21,9 +25,9 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.4.1.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/mpich
-Vcs-Git: https://salsa.debian.org/science-team/mpich.git
+Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
 Homepage: https://www.mpich.org/
 
 Package: libmpich-dev
@@ -55,6 +59,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libmpich1.0-dev (<< 3)
 Description: Shared libraries for MPICH
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.  
@@ -76,6 +81,8 @@
          ${shlibs:Depends}
 Recommends: libmpich-dev (= ${binary:Version})
 Suggests: mpich-doc (= ${source:Version})
+Breaks: libmpich1.0-dev (<< 3)
+Replaces: libmpich1.0-dev (<< 3)
 Description: Implementation of the MPI Message Passing Interface standard
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

GF10_FLAGS:=$(if $(filter $(shell readlink /usr/bin/gfortran), gfortran-10), \
                 -fallow-invalid-boz -fallow-argument-mismatch, )

export MPICHLIB_CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export MPICHLIB_CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS) $(GF10_FLAGS)
export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS) -cpp $(GF10_FLAGS)
export FFLAGS=$(shell dpkg-buildflags --get FFLAGS |  sed -e 's/-g //') $(GF10_FLAGS)
export F77=f77
export TZ=UTC+0

FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
export FC


# Keep old library naming scheme
export MPILIBNAME=mpich

NO_ROMIO_ARCH:= hurd-i386
NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
BUILTIN_ATOMICS_ARCH:= armhf riscv64 hppa
NO_REAL128_ARCH:= armel armhf mipsel hppa m68k sh5
# Pick one as default
NO_CH4_ARCH:= armel armhf i386 mipsel  hppa m68k sh5 powerpc x32 mips64el s390x
UCX_ARCH:= amd64  ppc64el arm64 
PMIX:=  #--with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2

ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
	VERBS := --with-ibverbs
endif
ifneq (,$(findstring $(DEB_HOST_ARCH),$(BUILTIN_ATOMICS_ARCH)))
	DISABLE_BUILTIN_ATOMICS:= --with-atomic-primitives=no
endif
ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_FABRIC_ARCH)))
	FABRIC := --with-libfabric=/usr
endif
ifneq (,$(findstring  $(DEB_HOST_ARCH),$(NO_REAL128_ARCH)))
        MPICHLIB_FCFLAGS:=$(MPICHLIB_FCFLAGS) -DNO_REAL128
endif

DEVICE:= --with-device=ch3
UCX:= 
#ifeq (,$(findstring  $(DEB_HOST_ARCH),$(NO_CH4_ARCH)))
#        DEVICE:= --with-device=ch4:ofi 
#endif
#ifneq (,$(findstring  $(DEB_HOST_ARCH),$(UCX_ARCH)))
#        DEVICE:= --with-device=ch4:ucx
#	UCX:= --with-ucx=/usr
#endif

extra_flags += \
	$(VERBS) \
	$(FABRIC) \
	$(PMIX) \
	$(UCX) \
	$(DEVICE) \
	$(DISABLE_BUILTIN_ATOMICS) \
	--with-pm=hydra \
	--with-slurm=/usr \
	--with-hwloc-prefix=/usr \
	--with-wrapper-dl-type=none \
	--enable-shared \
	--without-yaksa \
	--prefix=/usr \
	--enable-fortran=all \
	--disable-rpath \
	--disable-wrapper-rpath \
	--sysconfdir=/etc/mpich \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--includedir=/usr/include/$(DEB_HOST_MULTIARCH)/mpich \
	--docdir=/usr/share/doc/mpich 


# On sparc and sh4, OPA isn't available, so we need to fallback to
# emulation mode. There's a performance penalty, unfortunately.
ifneq (,$(findstring $(DEB_HOST_GNU_CPU),sparc sh4))
	extra_flags += --with-atomic-primitives=no
endif

AUTOGENERATED	:= $(patsubst %.in,%,$(wildcard debian/*.in))

%: %.in
	sed 's%@DEB_HOST_MULTIARCH@%$(DEB_HOST_MULTIARCH)%g' < $< > $@

%:
	dh $@ 

override_dh_autoreconf:
	./autogen.sh
	#autoreconf -f -i src/mpl src/openpa src/mpi/romio src/pm/hydra \
	#	src/mpid/ch4/netmod/ucx/ucx src/mpid/ch4/netmod/ofi/libfabric

override_dh_auto_configure: $(AUTOGENERATED)
	dh_auto_configure -- $(extra_flags) CPPFLAGS="" CFLAGS="" CXXFLAGS="" FFLAGS="$(FFLAGS)" FCFLAGS="$(FFLAGS)" BASH_SHELL=/bin/bash
	( cd src/pm/hydra && ./configure --with-hwloc-prefix=/usr $(DEVICE) FFLAGS="$(FFLAGS)"  --prefix=/usr )

override_dh_auto_build-indep:
	dh_auto_build -i
	# Disable rebuilding pdfs for the moment due to pdflatex problem 
	cd $(CURDIR)/doc/installguide; rm *.pdf; $(MAKE) install.pdf
	cd $(CURDIR)/doc/logging; rm *.pdf; $(MAKE) logging.pdf
	# cd $(CURDIR)/doc/smpd; rm *.pdf; $(MAKE) smpd_pmi.pdf
	cd $(CURDIR)/doc/userguide; rm *.pdf; $(MAKE) user.pdf

override_dh_auto_install-arch:
	dh_auto_install -a
	$(MAKE) -C src/pm/hydra install DESTDIR=$(CURDIR)/debian/tmp

	# Rename executables (ignore upstream symlinks)
	for i in mpicc mpicxx mpifort; do \
	  (cd debian/tmp/usr/bin/ && mv $$i $$i.mpich); \
	done
    # Rename manpages
    # TODO: manpages not shipped in beta ?
	#for i in mpicc mpicxx mpiexec mpif77 mpifort; do \
	#  (cd debian/tmp/usr/share/man/man1/ && mv $$i.1 $$i.mpich.1);\
	#done

	# Fix incorrect paths in /usr/bin/mpi{cc,cxx,fort}.mpich
	for fn in debian/tmp/usr/bin/mpicc.mpich debian/tmp/usr/bin/mpicxx.mpich \
		debian/tmp/usr/bin/mpifort.mpich; do \
		sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
	done

execute_after_dh_auto_clean:
	$(RM) $(AUTOGENERATED)

override_dh_fixperms-arch:
	# Hack. placed here to be run after dh_auto_install _after_ override
	chrpath -d debian/*/usr/bin/mpivars debian/*/usr/bin/mpichversion
	chrpath -d debian/*/usr/lib/*/lib*.so.*
	-rm debian/*/usr/share/doc/mpich/examples/cpi.o
	dh_fixperms -a

override_dh_installchangelogs:
	dh_installchangelogs README

# Some tests are failing on hurd-i386.
# Disable them, to be investiated later
# disable_test_archs = hurd-i386
disable_test_archs = 
# ifneq (,$(filter $(DEB_HOST_ARCH),$(disable_test_archs)))
override_dh_auto_test:
	@echo "Don't fail on tests in experimental"
	- dh_auto_test || true
# endif

## mpich 4.0

=== debian/changelog ===
mpich (4.0-3) unstable; urgency=medium

  * Disable pmix. Closes: #1004556

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Feb 2022 19:38:06 +0000

mpich (4.0-2) unstable; urgency=medium

  * Temporarily disable ucx; problem with mpich/ucx/pmix to debug.
    Closes: #1004556
  * mpich-4 works with  autoconf2.7.0. Closes: #978867	

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Feb 2022 11:57:20 +0000

mpich (4.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Jan 2022 11:04:56 +0000

mpich (4.0~rc3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Jan 2022 14:37:47 +0000

mpich (4.0~rc1-1) experimental; urgency=medium

  * Don't build against libslurm-dev on hurd, kfreebsd
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Dec 2021 11:58:32 +0000

mpich (4.0~b1-4) experimental; urgency=medium

  * Add powerpc sh4 x32 to the archs we don't use libfabric on
  * Don't pull librdmacm-dev on hurd, kfreebsd

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Dec 2021 14:23:22 +0000

mpich (4.0~b1-3) experimental; urgency=medium

  * Only enable pmix in conjunction with ch4

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Dec 2021 10:06:25 +0000

mpich (4.0~b1-2) unstable; urgency=medium

  * Enable ch4
  * Enable UCX, adding dep on libucx-dev on archs
  * Enable pmix, including build-dep on libpmix-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Dec 2021 12:48:05 +0000

mpich (4.0~b1-1) experimental; urgency=medium

  * Support gcc/gfortran 11. Closes: #984242
  * Standards-Version: 4.6.0
  * New upstream release
  * Re-enable docs

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Nov 2021 10:12:38 +0100

mpich (4.0~a2-2) experimental; urgency=medium

  * Add build-dep on libhwloc-dev.
  * Fix d/watc regex to handle alpha versions

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Jul 2021 16:23:24 +0100

mpich (4.0~a2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Jun 2021 08:25:20 +0100

mpich (4.0~a1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Mar 2021 10:20:15 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,14 @@
                gfortran | fortran-compiler,
 	       chrpath,
                hwloc-nox,
-	       librdmacm-dev,
-	       libslurm-dev,
+               libhwloc-dev,
+	       librdmacm-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+	       libslurm-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-	       libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+	       libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !powerpc !sh4 !x32],
                libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+	       libucx-dev [amd64  ppc64el arm64],
+               libpmix-dev,
                libxt-dev,
                procps,
 	       python3,
@@ -25,7 +28,7 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/mpich
 Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
 Homepage: https://www.mpich.org/
@@ -59,7 +62,6 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libmpich1.0-dev (<< 3)
 Description: Shared libraries for MPICH
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.  
@@ -81,8 +83,6 @@
          ${shlibs:Depends}
 Recommends: libmpich-dev (= ${binary:Version})
 Suggests: mpich-doc (= ${source:Version})
-Breaks: libmpich1.0-dev (<< 3)
-Replaces: libmpich1.0-dev (<< 3)
 Description: Implementation of the MPI Message Passing Interface standard
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,15 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-GF10_FLAGS:=$(if $(filter $(shell readlink /usr/bin/gfortran), gfortran-10), \
-                 -fallow-invalid-boz -fallow-argument-mismatch, )
+# Drop flags on old gfortran < 10
+GF_FLAGS:= $(if $(filter $(shell readlink /usr/bin/gfortran), gfortran-9),, -fallow-invalid-boz -fallow-argument-mismatch)
 
 export MPICHLIB_CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export MPICHLIB_CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
-export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS) $(GF10_FLAGS)
-export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS) -cpp $(GF10_FLAGS)
-export FFLAGS=$(shell dpkg-buildflags --get FFLAGS |  sed -e 's/-g //') $(GF10_FLAGS)
+export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS) $(GF_FLAGS)
+export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS) -cpp $(GF_FLAGS)
+export FFLAGS=$(shell dpkg-buildflags --get FFLAGS |  sed -e 's/-g //') $(GF_FLAGS)
 export F77=f77
 export TZ=UTC+0
 
@@ -25,13 +25,13 @@
 
 NO_ROMIO_ARCH:= hurd-i386
 NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
-NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
+NO_SLURM_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 
+NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x powerpc sh4 x32
 BUILTIN_ATOMICS_ARCH:= armhf riscv64 hppa
 NO_REAL128_ARCH:= armel armhf mipsel hppa m68k sh5
 # Pick one as default
-NO_CH4_ARCH:= armel armhf i386 mipsel  hppa m68k sh5 powerpc x32 mips64el s390x
+NO_CH4_ARCH:= armel armhf i386 mipsel  hppa m68k sh4 powerpc x32 mips64el s390x
 UCX_ARCH:= amd64  ppc64el arm64 
-PMIX:=  #--with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
 
 ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
 	VERBS := --with-ibverbs
@@ -45,26 +45,32 @@
 ifneq (,$(findstring  $(DEB_HOST_ARCH),$(NO_REAL128_ARCH)))
         MPICHLIB_FCFLAGS:=$(MPICHLIB_FCFLAGS) -DNO_REAL128
 endif
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_SLURM_ARCH)))
+	SLURM := --with-slurm=/usr 
+endif
 
 DEVICE:= --with-device=ch3
-UCX:= 
-#ifeq (,$(findstring  $(DEB_HOST_ARCH),$(NO_CH4_ARCH)))
-#        DEVICE:= --with-device=ch4:ofi 
-#endif
+UCX:=
+PMIX:=
+ifeq (,$(findstring  $(DEB_HOST_ARCH),$(NO_CH4_ARCH)))
+        DEVICE:= --with-device=ch4:ofi 
+	# PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
+endif
 #ifneq (,$(findstring  $(DEB_HOST_ARCH),$(UCX_ARCH)))
 #        DEVICE:= --with-device=ch4:ucx
 #	UCX:= --with-ucx=/usr
+#	PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
 #endif
 
 extra_flags += \
 	$(VERBS) \
 	$(FABRIC) \
+	$(SLURM) \
 	$(PMIX) \
 	$(UCX) \
 	$(DEVICE) \
 	$(DISABLE_BUILTIN_ATOMICS) \
 	--with-pm=hydra \
-	--with-slurm=/usr \
 	--with-hwloc-prefix=/usr \
 	--with-wrapper-dl-type=none \
 	--enable-shared \
@@ -104,11 +110,8 @@
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
-	# Disable rebuilding pdfs for the moment due to pdflatex problem 
-	cd $(CURDIR)/doc/installguide; rm *.pdf; $(MAKE) install.pdf
-	cd $(CURDIR)/doc/logging; rm *.pdf; $(MAKE) logging.pdf
-	# cd $(CURDIR)/doc/smpd; rm *.pdf; $(MAKE) smpd_pmi.pdf
-	cd $(CURDIR)/doc/userguide; rm *.pdf; $(MAKE) user.pdf
+	for d in installguide userguide design ; do \
+		( cd $(CURDIR)/doc/$$d ; rm -f *.pdf ; $(MAKE) ) ; done
 
 override_dh_auto_install-arch:
 	dh_auto_install -a

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="uversionmangle=s/(\d+)([a-b])(\d+)/$1~$2$3/" http://www.mpich.org/downloads .*/mpich-(.*)\.tar\.gz

## mpich 4.0.2

=== doc/pmi/Makefile ===
ALL: paper.ps pmi.ps pmi.pdf 
SHELL = /bin/sh

DOCTEXT = doctext
LATEX=latex
DVIPDF=dvipdfm
.SUFFIXES: .ps .pdf .dvi .tex .eps .fig

paper.dvi: paper.tex paper.bib
	-$(LATEX) paper
	-bibtex paper
	-$(LATEX) paper
	-$(LATEX) paper

paper.ps: paper.dvi
	dvips paper

paper.pdf: paper.dvi
	$(DVIPDF) paper

pmi.dvi: pmi.tex

.dvi.ps:
	dvips $*
.dvi.pdf:
	(unset TEXMF ; dvipdfm $* )
.tex.dvi:
	-latex $*
	-bibtex $*
	-latex $*
	-latex $*

PMI_FILES = pmi.tex ../../src/include/pmi.h Makefile

pmi.dvi: $(PMI_FILES)
	touch pmi.ind
	-if [ ! -d pmiman ] ; then mkdir pmiman ; fi
	-rm -f pmiman/*.tex pmiman/tmp.*
	(cd pmiman ; \
	${DOCTEXT} -latex -nolocation -quotefmt ../../../src/include/pmi.h ;\
	../manextract ../../../src/include/pmi.h > /dev/null )
	latex pmi < /dev/null
	-bibtex pmi
	sed -e 's/{\\tt *\\char *`\\_ *}/_/g' \
	    -e 's/MPID_\([A-Za-z0-9]*\)/\1_MPID/g' \
	    -e 's/MPIU_\([A-Za-z0-9]*\)/\1_MPIU/g' \
		pmi.idx > tmp.idx
	-makeindex tmp
	sed -e 's/\([A-Za-z0-9]*\)_MPID/MPID_\1/g' \
	    -e 's/\([A-Za-z0-9]*\)_MPIU/MPIU_\1/g' \
	    -e 's/_/\\texttt{\\char`\\_}/g' tmp.ind > pmi.ind 
	-bibtex pmi
	latex pmi < /dev/null

pmipdf.dvi: $(PMI_FILES)
	sed -e 's/%\\def\\foobar/\\def\\foobar/' pmi.tex > pmipdf.tex
	touch pmipdf.ind
	-if [ ! -d pmiman ] ; then mkdir pmiman ; fi
	-rm -f pmiman/*.tex pmiman/tmp.*
	(cd pmiman ; \
	${DOCTEXT} -latex -nolocation -quotefmt ../../../src/include/pmi.h ;\
	../manextract ../../../src/include/pmi.h > /dev/null )
	latex pmipdf < /dev/null
	-bibtex pmipdf
	sed -e 's/{\\tt *\\char *`\\_ *}/_/g' \
	    -e 's/MPID_\([A-Za-z0-9]*\)/\1_MPID/g' \
	    -e 's/MPIU_\([A-Za-z0-9]*\)/\1_MPIU/g' \
		pmipdf.idx > tmp.idx
	-makeindex tmp
	sed -e 's/\([A-Za-z0-9]*\)_MPID/MPID_\1/g' \
	    -e 's/\([A-Za-z0-9]*\)_MPIU/MPIU_\1/g' \
	    -e 's/_/\\texttt{\\char`\\_}/g' tmp.ind > pmipdf.ind 
	-bibtex pmipdf
	latex pmipdf < /dev/null

pmi.ps: pmi.dvi
	dvips pmi

pmi.pdf: pmipdf.dvi
	rm -f pmi.pdf pmipdf.pdf
	dvipdfm pmipdf
	mv pmipdf.pdf pmi.pdf

clean:
	rm -f *.log *.aux *.dvi pmi.ps pmi.pdf *.bbl
	rm -f *.ilg *.ind *.idx *.blg *.toc
	rm -f pmiman/*.tex

distclean: clean
	rm -f paper.ps paper.pdf pmi.ps pmi.pdf

install-devdocs: pmi.pdf
	if [ ! -d "$(DEV_INSTALL_PREFIX)" ] ; then \
	    echo "You must set DEV_INSTALL_PREFIX first" ; \
	    exit 1 ; fi
	cp -f pmi.pdf $(DEV_INSTALL_PREFIX)

# Handle older fig2dev programs
.fig.eps:
	-fig2dev -L eps -l landscape $*.fig > $*.eps
	if [ ! -s $*.eps ] ; then \
		fig2dev -L ps -l landscape $*.fig > $*.eps ; fi

=== debian/changelog ===
mpich (4.0.2-3) unstable; urgency=medium

  * Standards-Version: 4.6.1
  * Add Deps to libmpich-dev needed for pkg-config. Closes: #1028172

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Jan 2023 09:40:39 +0000

mpich (4.0.2-2) unstable; urgency=medium

  * Disable pmix ; not fixed yet. Closes: #1009782

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Apr 2022 08:52:56 +0100

mpich (4.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Apr 2022 16:28:55 +0100

mpich (4.0.1-1) unstable; urgency=medium

  [ Alastair McKinstry ]
  * New upstream release
  * Re-enable ucx for testing (pmix appears still broken)

  [ Andread Beckmann ]
  * libmpich12: Add Breaks: libmpich1.0-dev (<< 3) which provided libmpich-dev
    causing the old package using the ancient alternatives scheme to be kept
    installed on some upgrade paths.
  * mpich: Add Breaks+Replaces: libmpich1.0-dev (<< 3) since some files got
    moved around.  (Closes: #992065)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Feb 2022 13:23:08 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/mpich
 Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
 Homepage: https://www.mpich.org/
@@ -42,6 +42,8 @@
          libmpich12 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+         libhwloc-dev,
+	 libucx-dev [amd64  ppc64el arm64],
 	 mpich (= ${binary:Version})
 Description: Development files for MPICH
  MPICH is a high-performance and widely portable implementation of the
@@ -62,6 +64,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libmpich1.0-dev (<< 3)
 Description: Shared libraries for MPICH
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.  
@@ -83,6 +86,8 @@
          ${shlibs:Depends}
 Recommends: libmpich-dev (= ${binary:Version})
 Suggests: mpich-doc (= ${source:Version})
+Breaks: libmpich1.0-dev (<< 3)
+Replaces: libmpich1.0-dev (<< 3)
 Description: Implementation of the MPI Message Passing Interface standard
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.

=== debian/rules ===
--- 
+++ 
@@ -54,13 +54,13 @@
 PMIX:=
 ifeq (,$(findstring  $(DEB_HOST_ARCH),$(NO_CH4_ARCH)))
         DEVICE:= --with-device=ch4:ofi 
-	# PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
+	#PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
 endif
-#ifneq (,$(findstring  $(DEB_HOST_ARCH),$(UCX_ARCH)))
-#        DEVICE:= --with-device=ch4:ucx
-#	UCX:= --with-ucx=/usr
-#	PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
-#endif
+ifneq (,$(findstring  $(DEB_HOST_ARCH),$(UCX_ARCH)))
+        DEVICE:= --with-device=ch4:ucx
+	UCX:= --with-ucx=/usr
+	#PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
+endif
 
 extra_flags += \
 	$(VERBS) \

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="uversionmangle=s/(\d+)((a|b|rc)\d+)/$1~$2/" http://www.mpich.org/downloads .*/mpich-(.*)\.tar\.gz

## mpich 4.1.2

=== debian/changelog ===
mpich (4.1.2-3) unstable; urgency=medium

  * Team upload
  * debian/patches/7a28682a805acfe84a4ea7b41cea079696407398.patch:
    - upstream build fix (Closes: #1063833)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Feb 2024 10:41:59 +0100

mpich (4.1.2-2) unstable; urgency=medium

  * Team upload
  * Drop kfreebsd
  * d/control: Drop unused B-D quilt
  * Add Deps to libmpich-dev needed for pkg-config (Closes: #1028172)

 -- Bastian Germann <bage@debian.org>  Sat, 16 Sep 2023 21:29:42 +0200

mpich (4.1.2-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file to avoid testsuite package

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Sep 2023 14:46:56 +0100

mpich (4.1.1.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Mar 2023 09:43:31 +0100

mpich (4.1.1a1+really.4.1-1) experimental; urgency=medium

  * New upstream release
  * Drop superfluous d/copyright entries

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2023 10:16:31 +0000

mpich (4.1.1a1+really.4.1~rc1-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jan 2023 12:18:28 +0000

mpich (4.1.1a1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 May 2022 16:48:32 +0100

=== debian/control ===
--- 
+++ 
@@ -11,24 +11,23 @@
 	       chrpath,
                hwloc-nox,
                libhwloc-dev,
-	       librdmacm-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-	       libslurm-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-               libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-	       libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !powerpc !sh4 !x32],
-               libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               librdmacm-dev [!hurd-i386],
+               libslurm-dev [!hurd-i386],
+               libibverbs-dev (>= 1.1.7) [!hurd-i386],
+               libfabric-dev [!hurd-i386 !powerpc !sh4 !x32],
+               libnuma-dev [!hurd-i386],
 	       libucx-dev [amd64  ppc64el arm64],
                libpmix-dev,
                libxt-dev,
                procps,
-	       python3,
-               quilt,
+               python3,
                txt2man,
                valgrind [i386 amd64 powerpc armhf],
                x11proto-core-dev
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/mpich
 Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
 Homepage: https://www.mpich.org/
@@ -43,8 +42,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
          libhwloc-dev,
-	 libucx-dev [amd64  ppc64el arm64],
-	 mpich (= ${binary:Version})
+         libucx-dev [amd64 ppc64el arm64],
+         mpich (= ${binary:Version})
 Description: Development files for MPICH
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,9 @@
 export MPILIBNAME=mpich
 
 NO_ROMIO_ARCH:= hurd-i386
-NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
-NO_SLURM_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 
-NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x powerpc sh4 x32
+NO_VERBS_ARCH:= hurd-i386 s390x
+NO_SLURM_ARCH:= hurd-i386
+NO_FABRIC_ARCH:= hurd-i386 s390x powerpc sh4 x32
 BUILTIN_ATOMICS_ARCH:= armhf riscv64 hppa
 NO_REAL128_ARCH:= armel armhf mipsel hppa m68k sh5
 # Pick one as default
